### Method

# Gtk Statusbar push

#### Declaration [src]

    guint
    gtk_statusbar_push (
      GtkStatusbar* statusbar,
      guint context_id,
      const char* text
    )

#### Description [src]

Pushes a new message onto a statusbar’s stack.

#### Parameters

`context_id` | `guint`
| The message’s context id, as returned by gtk_statusbar_get_context_id().
`text` | `const char*`
| The message to add to the statusbar.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `guint`
| A message id that can be used with gtk_statusbar_remove().